org.apache.activemq.artemis.api.core.management

## Interface BridgeControl

- All Superinterfaces:
    ActiveMQComponentControl

      public interface BridgeControl
      extends ActiveMQComponentControl

  A BridgeControl is used to manage a Bridge.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDiscoveryGroupName()` Returns the name of the discovery group used by this bridge.
    `String` | `getFilterString()` Returns the filter string associated with this bridge.
    `String` | `getForwardingAddress()` Returns the address this bridge will forward messages to.
    `long` | `getMaxRetryInterval()` Returns the max retry interval used by this bridge.
    `long` | `getMessagesAcknowledged()` The messagesAcknowledged counter is the number of messages actually received by the remote broker.
    `long` | `getMessagesPendingAcknowledgement()` The messagesPendingAcknowledgement counter is incremented when the bridge is has forwarded a message but is waiting acknowledgement from the other broker.
    `Map<String,Object>` | `getMetrics()` The bridge metrics for this bridge The messagesPendingAcknowledgement counter is incremented when the bridge is has forwarded a message but is waiting acknowledgement from the other broker.
    `String` | `getName()` Returns the name of this bridge
    `String` | `getQueueName()` Returns the name of the queue this bridge is consuming messages from.
    `int` | `getReconnectAttempts()` Returns the number of reconnection attempts used by this bridge.
    `long` | `getRetryInterval()` Returns the retry interval used by this bridge.
    `double` | `getRetryIntervalMultiplier()` Returns the retry interval multiplier used by this bridge.
    `String[]` | `getStaticConnectors()` Returns any list of static connectors used by this bridge
    `String` | `getTransformerClassName()` Return the name of the org.apache.activemq.artemis.core.server.cluster.Transformer implementation associated with this bridge.
    `Map<String,String>` | `getTransformerProperties()` Returns a map of the properties configured for the transformer.
    `String` | `getTransformerPropertiesAsJSON()` Returns a map of the properties configured for the transformer.
    `boolean` | `isHA()` Returns whether this bridge is using high availability
    `boolean` | `isUseDuplicateDetection()` Returns whether this bridge is using duplicate detection.

    - ### Methods inherited from interface org.apache.activemq.artemis.api.core.management.ActiveMQComponentControl

      `isStarted, start, stop`

- - ### Method Detail

    - #### getName

          String getName()

      Returns the name of this bridge

    - #### getQueueName

          String getQueueName()

      Returns the name of the queue this bridge is consuming messages from.

    - #### getForwardingAddress

          String getForwardingAddress()

      Returns the address this bridge will forward messages to.

    - #### getFilterString

          String getFilterString()

      Returns the filter string associated with this bridge.

    - #### getTransformerClassName

          String getTransformerClassName()

      Return the name of the org.apache.activemq.artemis.core.server.cluster.Transformer implementation associated with this bridge.

    - #### getTransformerPropertiesAsJSON

          String getTransformerPropertiesAsJSON()
                                         throws Exception

      Returns a map of the properties configured for the transformer.
      Throws:
        `Exception`

    - #### getTransformerProperties

          Map<String,String> getTransformerProperties()
                                               throws Exception

      Returns a map of the properties configured for the transformer.
      Throws:
        `Exception`

    - #### getStaticConnectors

          String[] getStaticConnectors()
                                throws Exception

      Returns any list of static connectors used by this bridge
      Throws:
        `Exception`

    - #### getDiscoveryGroupName

          String getDiscoveryGroupName()

      Returns the name of the discovery group used by this bridge.

    - #### getRetryInterval

          long getRetryInterval()

      Returns the retry interval used by this bridge.

    - #### getRetryIntervalMultiplier

          double getRetryIntervalMultiplier()

      Returns the retry interval multiplier used by this bridge.

    - #### getMaxRetryInterval

          long getMaxRetryInterval()

      Returns the max retry interval used by this bridge.

    - #### getReconnectAttempts

          int getReconnectAttempts()

      Returns the number of reconnection attempts used by this bridge.

    - #### isUseDuplicateDetection

          boolean isUseDuplicateDetection()

      Returns whether this bridge is using duplicate detection.

    - #### isHA

          boolean isHA()

      Returns whether this bridge is using high availability

    - #### getMessagesPendingAcknowledgement

          long getMessagesPendingAcknowledgement()

      The messagesPendingAcknowledgement counter is incremented when the bridge is has forwarded a message but is waiting acknowledgement from the other broker. This is a cumulative total and the number of outstanding pending messages can be computed by subtracting messagesAcknowledged from messagesPendingAcknowledgement.

    - #### getMessagesAcknowledged

          long getMessagesAcknowledged()

      The messagesAcknowledged counter is the number of messages actually received by the remote broker. This is a cumulative total and the number of outstanding pending messages can be computed by subtracting messagesAcknowledged from messagesPendingAcknowledgement.

    - #### getMetrics

          Map<String,Object> getMetrics()

      The bridge metrics for this bridge The messagesPendingAcknowledgement counter is incremented when the bridge is has forwarded a message but is waiting acknowledgement from the other broker. The messagesAcknowledged counter is the number of messages actually received by the remote broker.

Copyright © 2021 The Apache Software Foundation. All rights reserved.